﻿@page
@model BeamAndGo.Member.Admin.Web.Pages.RelationshipType.RelationshipTypeListModel
@{
    ViewData["Title"] = "Relationship Type List";
}

<style>
    .filter tr {
        cursor: pointer;
    }
</style>

<body>
    <div class="uk-container uk-container-center">
        <div class="uk-grid-small" uk-grid>
            <div class="uk-width-1-6@m uk-visible@m">
                @{
                    await Html.RenderPartialAsync("_Menu");
                }
            </div>

            <div class="uk-width-expand@m">
                <div class="uk-card uk-card-default uk-card-body">
                    <h3 class="uk-card-title">@ViewData["Title"]</h3>

                    <div uk-filter="target: .filter" class="uk-width-1-1 filter-main">
                        <table class="uk-table">
                            <tbody>
                                <tr>
                                    <td class="uk-text-nowrap uk-align-right">
                                        <button class="bng-modal uk-button uk-button-primary" uk-toggle="target: #modal-relationshipType-create">Add Relationship Type</button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <div class="uk-overflow-auto">
                            <table class="uk-table uk-table-hover uk-table-middle uk-table-divider">
                                <thead>
                                    <tr>
                                        <th class="uk-text-nowrap">Relationship Type Name</th>
                                        <th class="uk-text-nowrap">Gender</th>
                                    </tr>
                                </thead>
                                <tbody id="table-body" class="filter">
                                    @foreach (var m in Model.MemberRelationshipTypes)
                                    {
                                        <tr>
                                            <td class="uk-text-nowrap uk-table-expand">@m.Name</td>
                                            <td class="uk-text-nowrap uk-table-expand">@m.Gender</td>
                                            <td class="uk-text-nowrap uk-width-small">
                                                <button class="member-relationshipType-edit uk-button"
                                                        uk-toggle="target: #modal-relationshipType-edit"
                                                        SelectedRelationshipTypeSID="@m.Id"
                                                        SelectedRelationshipTypeName="@m.Name"
                                                        SelectedRelationshipTypeGender="@m.Gender"
                                                        SelectedAccessStatus="@m.RecordStatus">
                                                    <i class="fas fa-pencil-alt"></i>
                                                </button>
                                            </td>
                                            <td class="uk-text-nowrap uk-width-small">
                                                <button class="member-relationshipType-remove uk-button"
                                                        uk-toggle="target: #modal-relationshipType-remove"
                                                        SelectedRelationshipTypeSID="@m.Id"
                                                        SelectedRelationshipTypeName="@m.Name">
                                                    <i class="fas fa-trash"></i>
                                                </button>
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<!-- This is the modal -->
<div id="modal-relationshipType-create" uk-modal class="uk-flex-top modal-relationshipType-create">
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <div class="uk-modal-body">
            <h3>Create Relationship Type</h3>
            <div class="uk-card uk-card-default uk-card-small uk-card-body">
                <form method="post" asp-page-handler="CreateRelationshipType" asp-antiforgery="true">
                    <div class="uk-margin-small">
                        <label class="uk-form-label"> Relationship Type Name </label>
                        <input class="create-relationshipType uk-input" asp-for="@Model.RelationshipTypeName" type="text">
                    </div>

                    <div class="uk-margin-small uk-margin-medium-bottom">
                        <label class="uk-form-label">Gender</label>
                        <select class="uk-select" id="createRelationshipTypeGender" asp-for="@Model.RelationshipTypeGender">
                            <option selected value=@null disabled>Select Gender</option>
                            <option value="@(BeamAndGo.Member.GenderType.Female)">Female</option>
                            <option value="@(BeamAndGo.Member.GenderType.Male)">Male</option>
                            <option value="@null">Unspecified</option>
                        </select>
                    </div>

                    <div class="uk-margin-small">
                        <button class="uk-button uk-button-primary uk-width-1-1" type="submit">Add</button>
                    </div>
                    <div class="uk-margin-small">
                        <button class="uk-button uk-button-default uk-width-1-1 uk-modal-close" type="button">Cancel</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<!-- End of modal -->
<!-- This is the modal -->
<div id="modal-relationshipType-edit" uk-modal class="uk-flex-top modal-relationshipType-edit">
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <div class="uk-modal-body">
            <h3>Update Relationship Type</h3>
            <div class="uk-card uk-card-default uk-card-small uk-card-body">
                <form method="post" asp-page-handler="UpdateRelationshipType" asp-antiforgery="true">
                    <input class="member-relationship-current-status-input" asp-for="@Model.CurrentRelationshipTypeStatus" type="hidden" />
                    <input class="member-relationshipType-edit-input" asp-for="@Model.RelationshipTypeId" type="hidden">
                    <div class="uk-margin-small">
                        <label class="uk-form-label">Relationship Type Name </label>
                        <input class="edit-relationshipType uk-input" asp-for="@Model.RelationshipTypeName" type="text">
                    </div>

                    <div class="uk-margin-small">
                        <label class="uk-form-label">Gender</label>
                        <select class="uk-select" id="updateRelationshipTypeGender" asp-for="@Model.RelationshipTypeGender">
                            <option value="@(BeamAndGo.Member.GenderType.Female)">Female</option>
                            <option value="@(BeamAndGo.Member.GenderType.Male)">Male</option>
                            <option selected value="@null">Unspecified</option>
                        </select>
                    </div>

                    <div class="uk-margin-small uk-margin-medium-bottom">
                        <label class="uk-form-label">Record Status</label>
                        <div>
                            @foreach (var accessStatus in System.Enum.GetValues(typeof(BeamAndGo.Core.Data.RecordStatus)).OfType<BeamAndGo.Core.Data.RecordStatus>())
                            {
                                <label><input class="uk-radio" id="Record_@accessStatus" type="radio" asp-for="RelationshipTypeStatus" value="@accessStatus" /><span style="padding-right: 5px;"></span>@accessStatus<span style="padding-right: 10px;"></span></label>
                            }
                        </div>
                    </div>
                    <div class="uk-margin-small">
                        <button class="uk-button uk-button-primary uk-width-1-1" type="submit">Update</button>
                    </div>
                    <div class="uk-margin-small">
                        <button class="uk-button uk-button-default uk-width-1-1 uk-modal-close" type="button">Cancel</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<!-- End of modal -->
<!-- This is the modal -->
<div id="modal-relationshipType-remove" uk-modal class="uk-flex-top modal-relationshipType-remove">
    <div class="uk-modal-dialog uk-margin-auto-vertical">
        <div class="uk-modal-body uk-text-center">
            <p> Are you sure you want to delete <i><span class="remove-relationshipType">beamandgo</span></i>?</p>
            <form method="post" asp-page-handler="removeRelationshipType" asp-antiforgery="true">
                <input type="hidden" asp-for="@Model.RelationshipTypeId" id="remove-relationshipType-selected" class="member-relationshipType-remove-input" />
                <button class="uk-button uk-button-primary" type="submit">Ok</button>
                <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
            </form>
        </div>
    </div>
</div>
<!-- End of modal -->
<script>
    $(document).ready(function () {
    });

    $('.member-relationshipType-edit').click(function () {
        $('.edit-relationshipType').val($(this).attr('SelectedRelationshipTypeName'));
        $('.member-relationshipType-edit-input').val($(this).attr('SelectedRelationshipTypeSID'));
        $('.member-relationship-current-status-input').val($(this).attr('SelectedAccessStatus'));
        $('#updateRelationshipTypeGender').val($(this).attr('SelectedRelationshipTypeGender')).change();

        $("#Record_" + $(this).attr('SelectedAccessStatus')).attr("checked", "checked");
    });

    $('.member-relationshipType-remove').click(function () {
        $('.remove-relationshipType').text($(this).attr('SelectedRelationshipTypeName'));
        $('.member-relationshipType-remove-input').val($(this).attr('SelectedRelationshipTypeSID'));
    });
</script>
